net.i2p.i2ptunnel

## Class I2PTunnelHTTPClientBase.OnTimeout

- java.lang.Object
- - net.i2p.i2ptunnel.I2PTunnelHTTPClientBase.OnTimeout

- All Implemented Interfaces:
    I2PTunnelRunner.FailCallback
  Enclosing class:
    I2PTunnelHTTPClientBase

      protected class I2PTunnelHTTPClientBase.OnTimeout
      extends Object
      implements I2PTunnelRunner.FailCallback

  Callback for timeout events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnTimeout(Socket s, OutputStream out, String target, boolean usingProxy, String wwwProxy, long id)`
    `OnTimeout(Socket s, OutputStream out, String target, boolean usingProxy, String wwwProxy, long id, String targetHost, boolean isSSL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFail(Exception ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnTimeout

          public OnTimeout(Socket s,
                           OutputStream out,
                           String target,
                           boolean usingProxy,
                           String wwwProxy,
                           long id)

      Parameters:
        `target` - the URI for an HTTP request, or the host name for CONNECT

    - #### OnTimeout

          public OnTimeout(Socket s,
                           OutputStream out,
                           String target,
                           boolean usingProxy,
                           String wwwProxy,
                           long id,
                           String targetHost,
                           boolean isSSL)

      Parameters:
        `target` - the URI for an HTTP request, or the host name for CONNECT
        `targetHost` - if non-null, call noteProxyResult() with this as host
        `isSSL` - to pass to noteProxyResult(). FALSE for ConnectClient.

  - ### Method Detail

    - #### onFail

          public void onFail(Exception ex)

      Specified by:
        `onFail` in interface `I2PTunnelRunner.FailCallback`
      Parameters:
        `ex` - may be null